Subject: Protocol Action: 'Transmission of IPv6 over MS/TP Networks' to Proposed Standard (draft-ietf-6lo-6lobac-08.txt)

From: The IESG <[email-masked]>
Date: Fri, 17 Mar 2017 12:58:34 -0700

The IESG has approved the following document:
- 'Transmission of IPv6 over MS/TP Networks'
  (draft-ietf-6lo-6lobac-08.txt) as Proposed Standard

This document is the product of the IPv6 over Networks of
Resource-constrained Nodes Working Group.

The IESG contact persons are Suresh Krishnan and Terry Manderson.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-6lo-6lobac/

Technical Summary

   Master-Slave/Token-Passing (MS/TP) is a medium access control method
   for the RS-485 physical layer, which is used extensively in building
   automation networks.  This specification defines the frame format for
   transmission of IPv6 packets and the method of forming link-local and
   statelessly autoconfigured IPv6 addresses on MS/TP networks in the context
   of 6loWPAN specifications ( RFC4944, RFC6282, RFC6775).

Working Group Summary

Due to the nature of MS/TP (wired constraiend network) deployment and its requirement on compressed header
format, the author expressed concerns over draft-ietf-6man-default-iids restrictions and suggestions for using
privacy addresses as default for link-local Ipv6 addresses.
https://www.ietf.org/mail-archive/web/6lo/current/msg01423.html

Section 6 of the document addresses privacy while forming the forwardable IPv6 address.

Document Quality

The document has been reviewed and discussed by many 6lo experts in the WG including Carsten Bormann,
 Dave Thaler, Samita Chakrabarti, Peter van Der Stock, James Woodyatt, Alex Petrescue, Geoff Mulligan, Don Sturek
 etc. - some on-line and some of them provided comments off-line. 

An implementation of lobac exists and they participated on a 6lo plugtest in Yokohama IETF94.
Since the document is closely co-ordinated with ASHER/BACNET Building networks SDO, it is assumed that many
other vendors will adopt the solution once it is a published RFC.

Personnel

Document Shepherd is Samita Chakrabarti
Responsible AD is Suresh Krishnan